RawFrame
API referenceGenerations

List generations

GET
/v1/generations

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key, e.g. rf_live_3f9k2q_….

Query Parameters

limit?integer
Range1 <= value <= 100
Default20
cursor?string
status?string
Value in"queued""submitting""running""finalizing""succeeded""failed""canceled"
model?string

Response Body

A page of generations, newest first.

application/json
  1. response
object*unknown
data*array<>
has_more*boolean
next_cursor?string|null
Example Request
curl -X GET 'https://api.rawframe.dev/v1/generations'
Example Response
{  "object": "list",  "data": [    {      "object": "generation",      "id": "gen_01jbxa3m4n5p6q7r8s9t",      "model": "string",      "served_by": "string",      "type": "image",      "mode": "text_to_image",      "status": "queued",      "prompt": "string",      "params": {        "duration_seconds": 1,        "aspect_ratio": "string",        "resolution": "string",        "num_outputs": 1,        "seed": 0,        "negative_prompt": "string",        "audio": true,        "output_format": "png"      },      "outputs": [        {          "id": "string",          "kind": "image",          "url": "http://example.com",          "url_expires_at": "2019-08-24T14:15:22Z",          "content_type": "string",          "width": 0,          "height": 0,          "duration_seconds": 0,          "has_audio": true,          "size_bytes": 0,          "expires_at": "2019-08-24T14:15:22Z"        }      ],      "error": {        "code": "content_rejected",        "message": "string",        "retryable": true      },      "price_estimate_micros": 0,      "charge_micros": 0,      "metadata": {        "property1": "string",        "property2": "string"      },      "created_at": "2019-08-24T14:15:22Z",      "started_at": "2019-08-24T14:15:22Z",      "completed_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": true,  "next_cursor": "string"}